This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### mouseReleased()
Examples |
    // Click within the image to change
    // the value of the rectangle

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseReleased() {
      if (value == 0) {
        value = 255;
      } else {
        value = 0;
      }
    }
Description | The mouseReleased() function is called every time a mouse button is released.
Syntax |
    mouseReleased()
    mouseReleased(event)
Returns | void
Related | mouseX mouseY mousePressed mouseButton mousePressed mouseMoved() mouseDragged()

Updated on October 26, 2013 08:58:29pm PDT